> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send appraisals from Cart to Portal



## OpenAPI

````yaml post /client_reference/{client_reference_id}/portal/customer/send
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/portal/customer/send:
    post:
      tags:
        - default
      summary: Send appraisals from Cart to Portal
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                client_id:
                  type: integer
                  description: >-
                    The client ID for the request. It's required if you have
                    access to multiple clients with your API key. Otherwise,
                    it's optional.
                session-id:
                  type: string
                  description: Optional session identifier of the user.
            example: {}
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 09:10:05 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '66'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 93bb1e26-0d81-4d82-8ada-f40b10eabb50
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendAppraisalsToCustomerPortalResponse'
              example:
                client_reference_id: 9337
                sent_result:
                  - display_id: 194
                    row_id: 1
                    location_id: ''
                    location: ''
                    quantity: 1
                    description: '193'
                    condition: 2
                    cost: 0
                    total: 0
                    age: ''
                    notes: ''
                    files:
                      - ''
                    create_time: '2025-03-11 10:18:26'
                    update_time: '2025-03-11 10:18:26'
                    pid: 2273807050
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Client reference 9337 was not found
                event_code: ERNF00
                event_dict:
                  event_severity: ERROR
                  title: Wrong "client_reference_id" value
                  description: The client_reference_id "9337" was not found
        '401':
          $ref: '#/components/responses/401'
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
  schemas:
    SendAppraisalsToCustomerPortalResponse:
      anyOf:
        - type: object
          properties: {}
        - type: object
          properties:
            client_reference_id:
              type: integer
            sent_results:
              type: array
              items:
                type: object
                properties:
                  pid:
                    type: integer
                  display_id:
                    type: integer
                  row_id:
                    type: integer
                  location_id:
                    type: integer
                  location:
                    type: string
                  quantity:
                    type: number
                    multipleOf: 0.01
                  description:
                    type: string
                  condition:
                    type: integer
                  cost:
                    type: number
                    multipleOf: 0.01
                  age:
                    type: string
                  notes:
                    type: string
                  files:
                    type: array
                    items:
                      type: string
                    description: >-
                      The files key will be renamed to attachments in line with
                      the ValueChecker API nomenclature.
                  create_time:
                    type: string
                  update_time:
                    type: string
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````